import { PDFPageProxy } from 'pdfjs-dist/types/web/interfaces';
import { PDFDocumentProxy } from 'pdfjs-dist';

type HookProps = {
    pdfLocation: string;
    file: string;
    onDocumentLoadSuccess?: (document: PDFDocumentProxy) => void;
    onDocumentLoadFail?: () => void;
    onInvalidLocation?: () => void;
    scale?: number;
    rotate?: number;
    cMapUrl?: string;
    cMapPacked?: boolean;
    workerSrc?: string;
    withCredentials?: boolean;
    useDefaultStyle?: boolean;
    className?: string;
};
type HookReturnValues = {
    pdfDocument: PDFDocumentProxy | undefined;
    allPdfPages: PDFPageProxy[] | undefined;
};
declare const usePdf: ({ pdfLocation, file, onDocumentLoadSuccess, onDocumentLoadFail, onInvalidLocation, scale, rotate, cMapUrl, cMapPacked, workerSrc, withCredentials, className, useDefaultStyle, }: HookProps) => HookReturnValues;

export { usePdf };
